{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Story7</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
</head>
<body>
    <div class="content mt-5">
        <h1 class="text-center">Welcome, please enter a message:</h1>
        <div class="container mt-4">   
            <form method="POST" action="{%url 'confirm'%}"> {%csrf_token%}
                <div class="form-group">
                    <input class="form-control" name="name" type="text" placeholder="Name" required>
                </div>
                <div class="form-group mt-3">    
                    <input class="form-control" name="message" type="text" placeholder="Message" required>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>

    <div class="text-center mt-5 mb-5">
        <button class="btn btn-success text-center" onclick="changeColor()" name="colorButton">Toggle Color</button>
    </div>

    <div class="container mt-3">
        <div class="row">
            {% for status in messages %}
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">
                            {{status.name}}
                        </h5>
                        <p class="card-text">
                            {{status.message}}
                        </p>
                    </div>
                </div>  
            </div>
            {% endfor %}
        </div>    
    </div>
    
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script type="text/javascript" src="{% static 'js/script.js' %}"></script>
</body>
</html>